Debian Bug report logs - #468325
RFP: urbanterror -- Quake 3 based first person shooter

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Jack Coulter <jscinoz@gmail.com>

Date: Thu, 28 Feb 2008 10:48:01 UTC

Severity: wishlist

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#468325; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Jack Coulter <jscinoz@gmail.com>:
New Bug report received and forwarded. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jack Coulter <jscinoz@gmail.com>
To: submit@bugs.debian.org
Subject: ITP - Urban Terror -- Quake 3 based first person shooter
Date: Thu, 28 Feb 2008 21:47:19 +1100
Package: wnpp
Severity: wishlist

This will consist of two source packages, urbanterror and
urbanterror-data, the former of which will be the game engine that is
compiled, the latter is the static data files (e.g. maps, sounds,
textures, etc.). The urbanterror source package will compile both client
and server binary packages. I was previously aiming to get this included
in Ubuntu Hardy but I didn't manage it due to the feature freeze, and I
was advised to submit it to Debian instead.

The game engine is licensed under GPL version 2.
The data files are under various licenses (maps and such are contributed
by many individuals) but all are free to distribute.
The Quake 3 QVM (file zpak000.pk3) is under the Quake 3 SDK EULA which
permits online distribution for non-commercial purposes, just to be
safe, this file isn't included in the package, rather a license prompt
is displayed pre-install and on acceptance, downloads this file (which
is only 1.2mb)

The game can be downloaded from http://www.urbanterror.net




Changed Bug title to `ITP: urbanterror -- Quake 3 based first person shooter' from `ITP - Urban Terror -- Quake 3 based first person shooter'. Request was from Raphael Geissert <atomo64@gmail.com> to control@bugs.debian.org. (Thu, 28 Feb 2008 23:12:05 GMT) Full text and rfc822 format available.

Owner recorded as Jack Coulter <jscinoz@gmail.com>. Request was from Raphael Geissert <atomo64@gmail.com> to control@bugs.debian.org. (Thu, 28 Feb 2008 23:12:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Jack Coulter <jscinoz@gmail.com>:
Bug#468325; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Fabio Till <lightkey@holarse.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Jack Coulter <jscinoz@gmail.com>. Full text and rfc822 format available.

Message #14 received at 468325@bugs.debian.org (full text, mbox):

From: Fabio Till <lightkey@holarse.net>
To: 468325@bugs.debian.org
Subject: Re: ITP - Urban Terror -- Quake 3 based first person shooter
Date: Mon, 07 Apr 2008 06:39:55 +0200
Moin Moing,
while Urban Terror does not rely on the Quake III Arena game data 
anymore, there is currently still a legal conflict between the (closed 
source!) Mod licence they use for iourbanterror, which is actually based 
on the GPL licenced ioquake3 engine, as written in the comments here: 
http://happypenguin.org/show?Urban%20Terror&showall=1#comments

"no it isn't. the q3-sdk-license says, that "modifications" may only be 
used with the original quake 3 arena game. and ioquake3/iourbanterror 
clearly is not quake 3 arena. they do distribute their "game" as 
standalone with the ioq3-executable, so they have to put the game source 
under GPL as well. if they don't want that they have to stop calling it 
"standalone" and distributing the executable. - caedes"
Ciao, Fabio




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Jack Coulter <jscinoz@gmail.com>:
Bug#468325; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Fabio Till <lightkey@holarse.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Jack Coulter <jscinoz@gmail.com>. Full text and rfc822 format available.

Message #19 received at 468325@bugs.debian.org (full text, mbox):

From: Fabio Till <lightkey@holarse.net>
To: 468325@bugs.debian.org
Subject: Re: ITP - Urban Terror -- Quake 3 based first person shooter
Date: Sun, 13 Apr 2008 16:05:24 +0200
Moin Moing,
I got the developer of ioUrbanTerror to answer on that comment 
http://ioquake3.org/2007/12/23/urban-terror-41/#comments (both Anonymous 
comments are from woekele), so it seems to be fine from that side.
The circumvention of the GPL by the qvm plugin is something to debate 
but not from me.
Ciao, Fabio




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Jack Coulter <jscinoz@gmail.com>:
Bug#468325; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Fabio Till <lightkey@holarse.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Jack Coulter <jscinoz@gmail.com>. Full text and rfc822 format available.

Message #24 received at 468325@bugs.debian.org (full text, mbox):

From: Fabio Till <lightkey@holarse.net>
To: 468325@bugs.debian.org
Subject: Re: ITP - Urban Terror -- Quake 3 based first person shooter
Date: Tue, 15 Apr 2008 11:30:14 +0200
Moin Moing,
the question of a GPL violation has been already discussed before in the 
Urban Terror forum: http://forums.urbanterror.net/index.php?topic=9651.0
Without achieving a consent of course.
Ciao, Fabio




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Jack Coulter <jscinoz@gmail.com>:
Bug#468325; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Tourneur Henry-Nicolas <henry.nicolas-tourneur@mactelecom.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Jack Coulter <jscinoz@gmail.com>. Full text and rfc822 format available.

Message #29 received at 468325@bugs.debian.org (full text, mbox):

From: Tourneur Henry-Nicolas <henry.nicolas-tourneur@mactelecom.com>
To: 468325@bugs.debian.org
Subject: Re: ITP - Urban Terror -- Quake 3 based first person shooter
Date: Wed, 30 Apr 2008 12:10:20 +0200
And so, what is the state of this ITP ?
Did you found an achievement, is this game (which looks great) going to
be packaged ?





Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#468325; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Jack Coulter <jscinoz@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #34 received at 468325@bugs.debian.org (full text, mbox):

From: Jack Coulter <jscinoz@gmail.com>
To: Tourneur Henry-Nicolas <henry.nicolas-tourneur@mactelecom.com>, 468325@bugs.debian.org
Subject: Re: Bug#468325: ITP - Urban Terror -- Quake 3 based first person shooter
Date: Wed, 30 Apr 2008 20:35:54 +1000
[Message part 1 (text/plain, inline)]
The package is technically completed, however there are some licensing
issues with upstream (The way they distribute it constitutes a GPL
violation *apparently* as although the engine is GPL (ioQuake3) the
actual mod is under a GPL incompatible license (Quake3SDK).

When this is resolved, some issue remain, such as the size of the
package; it is unlikely the FTP masters would accept such a large
package as it would take up ~1.3gb (710mb orig, 590mb final deb (LZMA
compressed))

Until these issues are resolved the packages are hosted on my PPA (It
states the packages are for Ubuntu Hardy, but they'll install and run
just fine on Debian). The sources.list entries are:

deb http://ppa.launchpad.net/jscinoz/ubuntu hardy main
deb-src http://ppa.launchpad.net/jscinoz/ubuntu hardy main.

I Hope this helps,
Jack Coulter

On Wed, 2008-04-30 at 12:10 +0200, Tourneur Henry-Nicolas wrote:
> And so, what is the state of this ITP ?
> Did you found an achievement, is this game (which looks great) going to
> be packaged ?
> 
> 
> 
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Jack Coulter <jscinoz@gmail.com>:
Bug#468325; Package wnpp. (Fri, 03 Jul 2009 15:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to helix84@centrum.sk:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Jack Coulter <jscinoz@gmail.com>. (Fri, 03 Jul 2009 15:39:04 GMT) Full text and rfc822 format available.

Message #39 received at 468325@bugs.debian.org (full text, mbox):

From: helix84 <helix84@centrum.sk>
To: 468325@bugs.debian.org
Subject: Re: Bug#468325: ITP - Urban Terror -- Quake 3 based first person shooter
Date: Fri, 3 Jul 2009 17:35:51 +0200
Hello,
I see there has been no progress on the legal front. How about
bringing up this issue with SFLC?

http://www.softwarefreedom.org/about/contact/

Regards
~~helix84




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#468325; Package wnpp. (Sat, 04 Jul 2009 09:57:26 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jack Coulter <jscinoz@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Sat, 04 Jul 2009 09:57:26 GMT) Full text and rfc822 format available.

Message #44 received at 468325@bugs.debian.org (full text, mbox):

From: Jack Coulter <jscinoz@gmail.com>
To: helix84@centrum.sk, 468325@bugs.debian.org
Subject: Re: Bug#468325: ITP - Urban Terror -- Quake 3 based first person shooter
Date: Sat, 4 Jul 2009 19:39:45 +1000
[Message part 1 (text/plain, inline)]
Hi,

The legal issue was resolved to the best of my knowledge, the blocker now is filesize of the urbanterror-data package, I believe there were plans to create a data.debian.org repository for large packages of static, arch-independent data, but I'm not sure if it was implemented yet. When its implmented the package can probably be uploaded after a few minor tweaks, as I haven't touched it for a long time now and there may be some issues in the current one (bashism, etc)

Regards,
Jack Coulter

On Fri, Jul 03, 2009 at 05:35:51PM +0200, helix84 wrote:
> Hello,
> I see there has been no progress on the legal front. How about
> bringing up this issue with SFLC?
> 
> http://www.softwarefreedom.org/about/contact/
> 
> Regards
> ~~helix84
> 
> 
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Jack Coulter <jscinoz@gmail.com>:
Bug#468325; Package wnpp. (Thu, 03 Dec 2009 08:57:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to helix84@centrum.sk:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Jack Coulter <jscinoz@gmail.com>. (Thu, 03 Dec 2009 08:57:06 GMT) Full text and rfc822 format available.

Message #49 received at 468325@bugs.debian.org (full text, mbox):

From: helix84 <helix84@centrum.sk>
To: Jack Coulter <jscinoz@gmail.com>
Cc: 468325@bugs.debian.org
Subject: Re: Bug#468325: ITP - Urban Terror -- Quake 3 based first person shooter
Date: Thu, 3 Dec 2009 09:53:47 +0100
On Sat, Jul 4, 2009 at 11:39, Jack Coulter<jscinoz@gmail.com> wrote:
> The legal issue was resolved to the best of my knowledge, the blocker now is filesize of the urbanterror-data package, I believe there were plans to create a data.debian.org repository for large packages of static, arch-independent data, but I'm not sure if it was implemented yet. When its implmented the package can probably be uploaded after a few minor tweaks, as I haven't touched it for a long time now and there may be some issues in the current one (bashism, etc)

This seems to have been discussed here:
http://lists.debian.org/debian-devel/2008/05/msg00970.html

Since there has been no movement on this front for a long time did you
consider using a Launchpad Personal Package Archive for the time
being?

Regards
~~helix84




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Jack Coulter <jscinoz@gmail.com>:
Bug#468325; Package wnpp. (Sat, 19 Feb 2011 17:58:34 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Jack Coulter <jscinoz@gmail.com>. (Sat, 19 Feb 2011 17:58:34 GMT) Full text and rfc822 format available.

Message #54 received at 468325@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 468325@bugs.debian.org
Cc: control@bugs.debian.org
Subject: urbanterror: changing back from ITP to RFP
Date: Sat, 19 Feb 2011 17:02:29 +0000
retitle 468325 RFP: urbanterror -- Quake 3 based first person shooter
noowner 468325
thanks

Hi,

This is an automatic email to change the status of urbanterror back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 6 months.

If you are still interested in adopting urbanterror, please send a mail to
<control@bugs.debian.org> with:

 retitle 468325 ITP: urbanterror -- Quake 3 based first person shooter
 owner 468325 !
 thanks

However, it is not recommended to keep ITP for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
packaging that software. It is also a good idea to document your progress on
this ITP from time to time, by mailing <468325@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>




Changed Bug title to 'RFP: urbanterror -- Quake 3 based first person shooter' from 'ITP: urbanterror -- Quake 3 based first person shooter' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Sat, 19 Feb 2011 18:08:55 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Jack Coulter <jscinoz@gmail.com>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Sat, 19 Feb 2011 18:08:55 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#468325; Package wnpp. (Mon, 28 Nov 2011 11:30:42 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simon McVittie <smcv@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 28 Nov 2011 11:30:54 GMT) Full text and rfc822 format available.

Message #63 received at 468325@bugs.debian.org (full text, mbox):

From: Simon McVittie <smcv@debian.org>
To: 468325@bugs.debian.org
Subject: Re: #468325 - RFP: urbanterror
Date: Mon, 28 Nov 2011 11:29:27 +0000
Transcribing from IRC with Nameeater's permission, so this doesn't get lost:

10:57 < smcv> Nameeater: fyi, the UrbanTerror RFP is blocked on two things
10:57 < smcv> Nameeater: 1) determining whether it runs correctly on an 
              unmodified ioquake3, or needs engine changes; and if it needs 
              engine changes, whether they're upstreamable
10:57 < smcv> Nameeater: 2) having a maintainer who cares about it
10:58 < Nameeater> smcv: I will have to have a look into #1, thanks for that
10:58 < smcv> Nameeater: as de facto ioquake3 maintainer, I'm happy to help out 
              with ioq3 issues, but the only ioq3 games I actually play are OA 
              and Q3A, so I'm not willing to be the *only* active maintainer 
              for other games
...
11:01 < smcv> Nameeater: oh yeah, the other thing about UrT is that it's 
              massive...
11:02 < smcv> but tbh it has the usual game-mod-team "I can't believe it's not 
              a license" so I wouldn't be particularly comfortable with putting 
              it in non-free
11:02 < smcv> so maybe game-data-packager would be the best way to deal with it 
              anyway
...
11:03 < Nameeater> pabs pointed out yesterday that it looked like a big reason 
                   it packaging was stopped due to the lack of data.debian.org
11:03 < Nameeater> its*
11:03 < smcv> that would have been another way to deal with the size
11:04 < smcv> splitting it like I recently did with OA would also help
11:04 < smcv> except that UrT only has two PK3s iirc
11:04 < smcv> so you can't split it very far
11:04 < smcv> you get stuck on "assets.pk3" which is about 500M on its own
11:04 < Nameeater> which leaves me wondering whether its worth packaging
11:04 < smcv> yeah
11:05 < Nameeater> it was pretty much an unzip and run game last time I tried, 
                   and as you say, not many files involved at that
11:05 < smcv> one reason why having it in a distro with a shared engine would 
              be better is security support
11:06 < smcv> I haven't checked which ioquake3 vulns are present in the engine 
              binaries it comes with
11:06 < smcv> but I expect it's a nonzero number
11:08 < smcv> whereas Debian's src:ioquake3 should be somewhere near secure, 
              since I (intermittently) track upstream svn, and I'm on their 
              "advance warning about vulnerabilities" list
...
1:13 < smcv> officially, urban terror is (still) a Q3A mod
11:14 < smcv> but it bundles some community-provided binaries that let you run 
              it as a standalone game using a modified ioquake3
11:14 < smcv> and I think in practice those are what everyone actually uses
11:15 < Nameeater> I do believe you're correct, and last time I looked into it 
                   there wasn't source for anything
11:15 < Nameeater> but back then they wouldn't even say if you could distribute 
                   it, so I'll check it out again
11:15 < smcv> Nameeater: if you want to do the research on the engine, you 
              might find these interesting
11:15 < smcv> http://anonscm.debian.org/gitweb/?p=users/smcv/ioquake3-upstream.git;a=commitdiff;h=baaee02048cef2db19156414a350d3092409c0b2
11:15 < smcv> http://anonscm.debian.org/gitweb/?p=users/smcv/ioquake3-upstream.git;a=commitdiff;h=26964378428e81c0417d02bf9b097edb5eb103d9
11:16 < smcv> those are the ioUrbanTerror code drops from 2007, diffed against 
              whatever seemed to be the closest ioquake3 svn rev
11:20 < Nameeater> my C knowledge is pretty lacking, but I get the feeling from 
                   reading that, that the mod may run, but with out some of 
                   those changes an ioUrT dedicated server won't let you connect
11:21 < smcv> it's possible




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#468325; Package wnpp. (Thu, 05 Sep 2013 20:24:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Markus Koschany <apo@gambaru.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 05 Sep 2013 20:24:04 GMT) Full text and rfc822 format available.

Message #68 received at 468325@bugs.debian.org (full text, mbox):

From: Markus Koschany <apo@gambaru.de>
To: 468325@bugs.debian.org
Subject: RFP: urbanterror -- Quake 3 based first person shooter
Date: Thu, 05 Sep 2013 22:20:35 +0200
[Message part 1 (text/plain, inline)]
Hi all,

I had a go at this bug a while ago, here is a short summary what
has to be done to include Urban Terror in Debian contrib.

- The urbanterror package should be modeled after the quake3 package
  in contrib.
- Use game-data-packager to package the non-free and partly non-distributable
  game data.
- Urban Terror 4.1 is the only version which works with the latest version of
  Debian's ioquake3 engine.
- Urban Terror 4.2 does not work with ioquake3 1.36+u20130504+g42eeb75-2 right now
  For more information see
  http://www.mail-archive.com/ioquake3@lists.ioquake.org/msg01149.html

- If you copy the q3ut4 directory from Urban Terror 4.1 to ~/.q3ut4, you can use
  the attached urbanterror.sh script to launch the game from your home directory
  provided you have also installed the ioquake3 engine.

- You have to download the full version of Urban Terror 4.1 from
  ftp://ftp.snt.utwente.nl/pub/games/urbanterror/full_install/linux_or_mac/UrbanTerror411.zip
  or a similar mirror.

- In general the Fedora packaging of Urban Terror is helpful for your own package.

In short it is possible to create a wrapper for Urban Terror 4.1 that launches the
game via Debian's ioquake3 engine. However you will have to enable cl_autodownload
otherwise you won't be able to join the majority of servers. Enable it at your own risk.

https://wiki.debian.org/Games/ioquake3
[urbanterror (text/plain, attachment)]
[signature.asc (application/pgp-signature, attachment)]

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 04:45:00 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.